CBLAS/testing/c_dblas3.c(3)

NAME
CBLAS/testing/c_dblas3.c

SYNOPSIS

#include <stdlib.h>
#include 'cblas.h'
#include 'cblas_test.h'

  Macros
#define TEST_COL_MJR 0
#define TEST_ROW_MJR 1
#define UNDEFINED -1

  Functions
void F77_dgemm (CBLAS_INT *layout, char *transpa, char *transpb, CBLAS_INT *m, CBLAS_INT *n, CBLAS_INT *k, double *alpha, double *a, CBLAS_INT *lda, double *b, CBLAS_INT *ldb, double *beta, double *c, CBLAS_INT *ldc)
void F77_dgemmtr (CBLAS_INT *layout, char *uplop, char *transpa, char *transpb, CBLAS_INT *n, CBLAS_INT *k, double *alpha, double *a, CBLAS_INT *lda, double *b, CBLAS_INT *ldb, double *beta, double *c, CBLAS_INT *ldc)
void F77_dsymm (CBLAS_INT *layout, char *rtlf, char *uplow, CBLAS_INT *m, CBLAS_INT *n, double *alpha, double *a, CBLAS_INT *lda, double *b, CBLAS_INT *ldb, double *beta, double *c, CBLAS_INT *ldc)
void F77_dsyrk (CBLAS_INT *layout, char *uplow, char *transp, CBLAS_INT *n, CBLAS_INT *k, double *alpha, double *a, CBLAS_INT *lda, double *beta, double *c, CBLAS_INT *ldc)
void F77_dsyr2k (CBLAS_INT *layout, char *uplow, char *transp, CBLAS_INT *n, CBLAS_INT *k, double *alpha, double *a, CBLAS_INT *lda, double *b, CBLAS_INT *ldb, double *beta, double *c, CBLAS_INT *ldc)
void F77_dtrmm (CBLAS_INT *layout, char *rtlf, char *uplow, char *transp, char *diagn, CBLAS_INT *m, CBLAS_INT *n, double *alpha, double *a, CBLAS_INT *lda, double *b, CBLAS_INT *ldb)
void F77_dtrsm (CBLAS_INT *layout, char *rtlf, char *uplow, char *transp, char *diagn, CBLAS_INT *m, CBLAS_INT *n, double *alpha, double *a, CBLAS_INT *lda, double *b, CBLAS_INT *ldb)

Macro Definition Documentation

  #define TEST_COL_MJR 0

Definition at line 10 of file c_dblas3.c.

  #define TEST_ROW_MJR 1

Definition at line 11 of file c_dblas3.c.

  #define UNDEFINED -1

Definition at line 12 of file c_dblas3.c.

Function Documentation

  void F77_dgemm (CBLAS_INT * layout, char * transpa, char * transpb, CBLAS_INT * m, CBLAS_INT * n, CBLAS_INT * k, double * alpha, double * a, CBLAS_INT * lda, double * b, CBLAS_INT * ldb, double * beta, double * c, CBLAS_INT * ldc)

Definition at line 14 of file c_dblas3.c.

  void F77_dgemmtr (CBLAS_INT * layout, char * uplop, char * transpa, char * transpb, CBLAS_INT * n, CBLAS_INT * k, double * alpha, double * a, CBLAS_INT * lda, double * b, CBLAS_INT * ldb, double * beta, double * c, CBLAS_INT * ldc)

Definition at line 81 of file c_dblas3.c.

  void F77_dsymm (CBLAS_INT * layout, char * rtlf, char * uplow, CBLAS_INT * m, CBLAS_INT * n, double * alpha, double * a, CBLAS_INT * lda, double * b, CBLAS_INT * ldb, double * beta, double * c, CBLAS_INT * ldc)

Definition at line 159 of file c_dblas3.c.

  void F77_dsyr2k (CBLAS_INT * layout, char * uplow, char * transp, CBLAS_INT * n, CBLAS_INT * k, double * alpha, double * a, CBLAS_INT * lda, double * b, CBLAS_INT * ldb, double * beta, double * c, CBLAS_INT * ldc)

Definition at line 269 of file c_dblas3.c.

  void F77_dsyrk (CBLAS_INT * layout, char * uplow, char * transp, CBLAS_INT * n, CBLAS_INT * k, double * alpha, double * a, CBLAS_INT * lda, double * beta, double * c, CBLAS_INT * ldc)

Definition at line 217 of file c_dblas3.c.

  void F77_dtrmm (CBLAS_INT * layout, char * rtlf, char * uplow, char * transp, char * diagn, CBLAS_INT * m, CBLAS_INT * n, double * alpha, double * a, CBLAS_INT * lda, double * b, CBLAS_INT * ldb)

Definition at line 328 of file c_dblas3.c.

  void F77_dtrsm (CBLAS_INT * layout, char * rtlf, char * uplow, char * transp, char * diagn, CBLAS_INT * m, CBLAS_INT * n, double * alpha, double * a, CBLAS_INT * lda, double * b, CBLAS_INT * ldb)

Definition at line 383 of file c_dblas3.c.

Author

Generated automatically by Doxygen for LAPACK from the source code.